Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openxri
Class XRISubSegment

    java.lang.Object
      org.openxri.Parsable
          org.openxri.XRISubSegment

All Implemented Interfaces:
  java.lang.Comparable

    public class XRISubSegment

extends Parsable

This class provides a strong typing for a XRI subsegment. Any object of this class that appears outside of the package is a valid subsegment.

Author:
  =chetan

Constructor Summary
`XRISubSegment(java.lang.String sXRI)` Constructs SubSegment from String
`XRISubSegment(java.lang.String sXRI, boolean bAllowColon)` Constructs SubSegment from String

Method Summary
`boolean` | `equals(XRISubSegment subseg)`
`boolean` | `equalsIgnoreCase(XRISubSegment subseg)`
`XRef` | `getXRef()` Returns the cross-reference of this object
`boolean` | `isPersistant()` Indicates whether Subsegment is persistent or not
`java.lang.String` | `toIRINormalForm()` Serialzes SubSegment into IRI normal from
`java.lang.String` | `toIRINormalForm(boolean wantOptionalDelim)`
`java.lang.String` | `toString()` String representation of the object.
`java.lang.String` | `toString(boolean wantOptionalDelim)`
`java.lang.String` | `toURINormalForm()` Serialzes SubSegment into URI normal from
`java.lang.String` | `toURINormalForm(boolean wantOptionalDelim)`

Methods inherited from class org.openxri.Parsable
`compareTo, equals, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XRISubSegment

    public XRISubSegment(java.lang.String sXRI)

  Constructs SubSegment from String

### XRISubSegment

    public XRISubSegment(java.lang.String sXRI,
                         boolean bAllowColon)

  Constructs SubSegment from String

Method Detail

### isPersistant

    public boolean isPersistant()

  Indicates whether Subsegment is persistent or not

  Returns:
    boolean Indicates whether Subsegment is persistent or not

### getXRef

    public XRef getXRef()

  Returns the cross-reference of this object

  Returns:
    XRef the cross-reference of this object

### toString

    public java.lang.String toString()

  String representation of the object.

  Overrides:
    `toString` in class `Parsable`
  Returns:
    String the String form of the SubSegment with its persistent indicator.

### toString

    public java.lang.String toString(boolean wantOptionalDelim)

### equals

    public boolean equals(XRISubSegment subseg)

### equalsIgnoreCase

    public boolean equalsIgnoreCase(XRISubSegment subseg)

### toIRINormalForm

    public java.lang.String toIRINormalForm()

  Serialzes SubSegment into IRI normal from

  Returns:
    The IRI normal form of the SubSegment

### toIRINormalForm

    public java.lang.String toIRINormalForm(boolean wantOptionalDelim)

### toURINormalForm

    public java.lang.String toURINormalForm()

  Serialzes SubSegment into URI normal from

  Returns:
    The URI normal form of the SubSegment

### toURINormalForm

    public java.lang.String toURINormalForm(boolean wantOptionalDelim)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2009. All Rights Reserved.